#!/bin/sh
#
# robot:       Starts the robotd deamon
#
# processname: xfs

# Source function library.
. /etc/rc.d/init.d/functions

modload() {
	MAJOR=`grep $1 /proc/devices | awk '{ print $1 }'`
	if [ "$MAJOR" = "" ]; then
	    modprobe $1
	    MAJOR=`grep $1 /proc/devices | awk '{ print $1 }'`
	    if [ "$MAJOR" != "" ]; then
                rm -f /dev/"$1"0
	        mknod /dev/"$1"0 c $MAJOR 0
	    fi
	else
            rm -f /dev/"$1"0
            mknod /dev/"$1"0 c $MAJOR 0
	fi
}


# See how we were called.
case "$1" in
  start)
	modload dtlk

	echo -n "Starting Robot Deamon: "

	modload i200m
	/usr/local/bin/i200minit -q

	daemon /usr/local/sbin/robotd -d -c tty8

	touch /var/lock/subsys/robotd
	echo
	;;
  stop)
	echo -n "Stopping Robot Deamon: "
	killproc robotd

	rm -f /dev/i200m0
	rm -f /dev/dtlk0

	rm -f /var/lock/subsys/robotd
	echo
	;;
  status)
	status robotd
	;;
  restart)
	$0 stop
	$0 start
	;;
  *)
	echo "*** Usage: robot {start|stop|status|restart}"
	exit 1
esac

exit 0
